<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingLeft="10dp"
    android:paddingTop="20dp"
    android:paddingRight="10dp"
    android:paddingBottom="20dp">

    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:orientation="vertical"
        tools:context=".fragments.AddElementFragment">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/textView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:text="@string/add_a_gift"
                android:textColor="@color/colorRedDark"
                android:textSize="30dp"
                android:textStyle="bold"
                app:layout_constraintTop_toTopOf="parent" />


            <LinearLayout
                android:id="@+id/layoutName"
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:orientation="horizontal"
                app:layout_constraintTop_toBottomOf="@id/textView">


                <TextView
                    android:id="@+id/textView8"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:textSize="27dp"
                    android:text="Nom : *" />

                <EditText
                    android:id="@+id/elementTitle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:layout_marginRight="20dp"
                    android:layout_weight="1"
                    android:ems="10"
                    android:hint="title of gift"
                    android:inputType="text"
                    android:paddingLeft="10dp"
                    android:singleLine="true" />
            </LinearLayout>



            <RelativeLayout
                android:id="@+id/layoutPrix"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:gravity="center"
                android:orientation="vertical"
                app:layout_constraintTop_toBottomOf="@id/layoutName">

                <TextView
                    android:id="@+id/textView10"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:layout_marginTop="15dp"
                    android:textSize="27dp"
                    android:layout_weight="1"
                    android:text="Prix : *" />


                <EditText
                    android:id="@+id/elementPrice"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginStart="10dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="15dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="10dp"
                    android:layout_toRightOf="@+id/textView10"
                    android:ems="10"
                    android:gravity="center"
                    android:hint="price of gift"
                    android:inputType="numberDecimal"
                    android:singleLine="true" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginBottom="10dp"
                    android:layout_toRightOf="@+id/elementPrice"
                    android:gravity="center"
                    android:paddingLeft="20dp"
                    android:paddingRight="20dp"
                    android:text="euro"
                    android:textSize="20dp">

                </TextView>

            </RelativeLayout>


            <LinearLayout
                android:id="@+id/layoutAdresse"
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:orientation="horizontal"
                app:layout_constraintTop_toBottomOf="@id/layoutPrix">


                <TextView
                    android:id="@+id/textView7"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="15dp"
                    android:layout_weight="1"
                    android:textSize="27dp"
                    android:text="@string/adress" />

                <EditText
                    android:id="@+id/elementAdresse"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:layout_marginRight="10dp"
                    android:layout_weight="1"
                    android:ems="10"
                    android:hint="Adress"
                    android:inputType="textPostalAddress"
                    android:paddingLeft="10dp"
                    android:singleLine="true"
                    android:textSize="20dp" />


            </LinearLayout>


            <LinearLayout
                android:id="@+id/layoutURL"
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:orientation="horizontal"
                app:layout_constraintTop_toBottomOf="@id/layoutAdresse">


                <TextView
                    android:id="@+id/textView6"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="15dp"
                    android:layout_weight="1"
                    android:text="@string/link"
                    android:textSize="27dp"/>


                <EditText
                    android:id="@+id/elementLink"
                    android:layout_width="238dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:layout_marginRight="15dp"
                    android:layout_weight="1"
                    android:ems="10"
                    android:hint="@string/link_to_the_gift"
                    android:inputType="textUri"
                    android:paddingLeft="10dp"
                    android:singleLine="true" />


            </LinearLayout>

            <LinearLayout
                android:id="@+id/layoutDescription"
                android:layout_width="match_parent"
                android:layout_height="120dp"
                android:orientation="horizontal"
                app:layout_constraintTop_toBottomOf="@id/layoutURL">

                <TextView
                    android:id="@+id/textView4"
                    android:layout_width="161dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20dp"
                    android:layout_weight="1"
                    android:text="@string/lblDescription"
                    android:textSize="27dp" />


                <EditText
                    android:id="@+id/elementDescription"
                    android:layout_marginTop="10dp"
                    android:layout_width="228dp"
                    android:layout_height="97dp"
                    android:lines="10"
                    android:inputType="text"
                    android:hint="add description"
                    android:ems="10"
                    android:layout_weight="1"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="10dp"
                    android:paddingLeft="10dp"
                    android:minLines="5"
                    android:gravity="top|left"
                    android:maxLines="15" />
            </LinearLayout>


            <LinearLayout
                android:id="@+id/layoutAddelement"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:gravity="center"
                android:orientation="horizontal"
                app:layout_constraintTop_toBottomOf="@id/layoutDescription">


                <Button
                    android:id="@+id/cancelAddElement"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:drawableLeft="@android:drawable/ic_menu_close_clear_cancel"
                    android:text="Cancel" />

                <Button
                    android:id="@+id/addElement"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:drawableLeft="@android:drawable/ic_input_add"
                    android:text="Add" />


            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>


    </LinearLayout>
</ScrollView>